# LiquityUnstake

### Description

Action for unstaking LQTY tokens in Liquity

### Action ID

`0xcc148c8b`

### SDK Action

```ts
const liquityUnstakeAction = new dfs.actions.liquity.LiquityUnstakeAction(
    lqtyAmount,
    to,
    wethTo,
    lusdTo
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param lqtyAmount Amount of LQTY tokens to unstake
    /// @param to Address that will receive the tokens
    /// @param wethTo Address that will receive ETH(wrapped) gains
    /// @param lusdTo Address that will receive LUSD token gains
    struct Params {
        uint256 lqtyAmount;
        address to;
        address wethTo;
        address lusdTo;
    }
```

### Return Value

```solidity
return bytes32(unstakedAmount);
```

### Events and Logs

```solidity
emit ActionEvent("LiquityUnstake", logData);
logger.logActionDirectEvent("LiquityUnstake", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/liquity/liquityunstake.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
